Bug 88718 - Error in COUNTIF function - case sensitive to external file.
Summary: Error in COUNTIF function - case sensitive to external file.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2015-01-22 19:02 UTC by Paulo San
Modified: 2019-12-03 14:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Function.ods is the file with function to test, and the External_file.ods is the file with the external data to reference. (21.63 KB, application/zip)
2015-01-22 19:02 UTC, Paulo San
Details
Function file (13.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-22 19:04 UTC, Paulo San
Details
File to external reference. (11.53 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-01-22 19:04 UTC, Paulo San
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo San 2015-01-22 19:02:59 UTC
Created attachment 112680 [details]
Function.ods is the file with function to test, and the External_file.ods is the file with the external data to reference.

In CONT.SE function if the search is done in an external file the function becomes case sensitive, if the search is made in own not.

If you change the cell D1 of Function.ods spreadsheet to the A (and A to a...) we can see the difference between an internal search and the same external search. 
Since the external and internal data are the same.

thank you for all...
Comment 1 Paulo San 2015-01-22 19:04:24 UTC
Created attachment 112681 [details]
Function file
Comment 2 Paulo San 2015-01-22 19:04:56 UTC
Created attachment 112682 [details]
File to external reference.
Comment 3 raal 2015-01-22 20:07:58 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: 60143f4f7bc50054dcef923218b8c7c3bc154933
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-21_04:58:34

Tools->Options->LibreOffice Calc->Calculate , checked 'Case Sensitive'.
Comment 4 QA Administrators 2016-02-21 08:34:37 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 14:56:58 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:30:55 UTC
Dear Paulo San,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug